<!--% PROCESS 'shared-utils.tpl.html' %-->
<p>In this article we will show you how to connect to the HPR Community Room on Mumble.</p>

<p>You can think of Mumble like visiting a hotel that has different meeting rooms. Some are locked to you, some only allow you access if you are registered, some you can join but only listen to. In most, like the HPR room, you can hear the other people in the room talking. If you talk they can also hear you. There is a chat section where text can be shared as well.</p>

<p>When using Mumble <strong><em>you should always use a microphone and headset</em></strong> positioned close to your mouth but slightly off to the side.</p>
<h2>Install the software</h2>

<p>The <a href="https://www.mumble.info/downloads/">Mumble website offers download and install instructions</a> for different operating systems.
</p> 

<p>Once you have installed the client then connect to the <a href="mumble://chatter.skyehaven.net:64738/Hacker%20Public%20Radio?version=1.2.0">HPR Room on Mumble</a>.

<p>There is a first run wizard that will step you through the process of configuring Mumble the first time. This will open up a series of configuration options.</p>

<p>Press <strong>Next</strong> on the introduction.</p>

<p><img alt="intro screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/01-intro.png" ></p>

<p>The device selection page will allow you to select which audio to use. As this will be different for everyone we can't offer you much help here other than to say that the defaults are usually fine.</p>

<p>When you are done press <strong>Next</strong>.</p>

<p><img alt="device selection screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/02-device-selection.png" ></p>

<p>The device tuning page will allow you to fine tune the latency. Normally the defaults are usually fine.</p>

<p>When you are done press <strong>Next</strong>.</p>

<p><img alt="device tuning screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/03-device-tuning.png" ></p>

<p>The Volume Tuning page will allow you to set your audio levels. Normally the defaults are usually fine.</p>

<p>Then press <strong>Next</strong>.</p>

<p><img alt="volume tuning screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/04-volume.png" ></p>

<p>It is <strong>very important</strong> that you set <strong>Push to Talk (PTT)</strong>, as you will disturb the other people in the room if you select the other methods. It may seem to be working fine to you, but it <em>will</em> result in issues for the others.
</p> 
<ul>
	<li>Click "Push to Talk:"</li>
	<li>Click in the area next to it and press the key you intend to use as the Push To Talk (PTT) Key</li>
</ul>

<p>Try and pick a key that you don't normally use or need. You may have to disable that key mapping in the operating system you are using.</p>

<p>Then press <strong>Next</strong>.</p>

<p><img alt="ptt screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/05-ptt.png" ></p>

<p>The Quality Settings page will allow you to adjust the bandwidth. Normally the defaults are usually fine.</p>

<p>It is <strong>very important</strong> that you <strong>Disable Text-To-Speech</strong>, as all notifications will be read back and will disturb the other people in the room. It may seem to be working fine to you, but it <em>will</em> result in issues for the others.</p>
<ul>
<li>Click "Disable Text-To-Speech and use sounds instead"</li>
</ul>

<p>Then press <strong>Next</strong>.</p>

<p><img alt="no tts screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/06-notts.png" ></p>

<p>The positional audio page will allow you to fine tune the latency. Normally the defaults are usually fine.</p>

<p>Just press <strong>Next</strong>.</p>

<p><img alt="positional audio screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/07-positional-audio.png" ></p>

<p>That's it the initial configuration is done.</p>

<p>Then press <strong>Finish</strong>.</p>

<p><img alt="stats screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/08-stats.png" ></p>

<p>You are expected to have a digital certificate when connecting to Mumble servers.</p>

<p>This screen will allow you to Automatically create one.</p>

<p>Just press <strong>Next</strong>.</p>

<p><img alt="cert screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/09-cert.png" ></p>

<p>That completes the first setup of Mumble.</p>

<p>Then press <strong>Finish</strong>.</p>

<p><img alt="finished screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/10-finished.png" ></p>
<hr>

<p>Now that you have the Mumble client set up we can now start the process of connecting to the <a href="mumble://chatter.skyehaven.net:64738/Hacker%20Public%20Radio?version=1.2.0">HPR Room on Mumble</a>.</p>

<p>If you opened Mumble by clicking the link above, then you may not see the following options, but we'll cover them here if at any time you need to add the HPR server again</p>

<p>Just open mumble and press <strong>Server - Connect</strong></p>

<p>Then press <strong>Add New...</strong>.</p>

<p><img alt="add new connection screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/20-add-new.png" ></p>

<p>You will need to enter the information for the HPR server:</p>
<ul>
<li>Address: <strong>chatter.skyehaven.net</strong></li>
<li>Port: 64738</li>
<li>Username: <strong><em>Your Username</em></strong></li>
<li>Label: chatter.skyehaven.net</li>
</ul>

<p>Think about your username a bit as if you register it on the server you will not be able to change it again.</p>

<p>Then press <strong>Next</strong>.</p>

<p><img alt="add new server screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/21-add-server.png" ></p>

<p>If you clicked the link to the <a href="mumble://chatter.skyehaven.net:64738/Hacker%20Public%20Radio?version=1.2.0">HPR Room on Mumble</a>, then you may be brought to the option to enter a username. Think about this a bit as if you register it on the server you will not be able to change it again.</p>

<p>Then press <strong>Next</strong>.</p>

<p><img alt="username screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/11-username.png" ></p>

<p>You will need to confirm the servers Certificate matches this:</p>

<p>
<pre>Digest (SHA-1): 09:22:05:88:D6:60:17:FD:39:8F:55:B0:F5:A0:45:DA:96:32:9C:23</pre>
</p>

<p>If it matches then press <strong>Yes</strong>.</p>

<p><img alt="accept cert screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/12-accept-cert.png" ></p>

<p>All going well you will be connected to the server. By default you will end up in the <strong>Root</strong> - think the lobby of an hotel !</p>

<p>You will see a lot of rooms with names of other podcasts that use the server.</p>

<p>Before connecting to any room it's good etiquette to make sure your audio is working correctly.</p>

<p>The room <strong>Audio Test</strong> will allow you to speak and the <strong>OpieTheRepeatherBot</strong> will record your speech and after 10 seconds will play it back for you.</p>

<p><em>Click and hold</em> on your username (<em>ken1</em> in this example) and <em>drag</em> yourself into the <strong>Audio Test</strong> room.</p>

<p><img alt="audio test screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/13-audio-test.png" ></p>

<p>You now know how to switch from room to room.</p>

<p>Try to say something. Remember to press the <strong>Push to talk (PTT)</strong>. Everyone forgets to do this but it will become second nature after a while.</p>

<p>A good test is to count to ten slowly.</p>

<p>When you are talking the server should change your icon from a green person to a <em>blue</em> one with <em>sound circles</em> around the head.</p>

<p><img alt="audio ping screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/14-audio-ping.png" ></p>

<p>The <strong>OpieTheRepeatherBot</strong> will create another client with the prefix <strong>Mimic-</strong> followed by your username.</p>

<p>In this example it is <em>Mimic-ken1</em>.</p>

<p>You should hear your audio back.</p>

<p><img alt="audio pong screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/15-audio-pong.png" ></p>

<p>If your audio is poor - as is often the case - then this gives you the opportunity to fix it before interrupting other people.</p>

<p>How you fix it will depend on the operating system that you are using and the exact nature of the problem.</p>

<p>A common problem is that the operating system uses the built in speaker and microphone from the laptop instead of your headset. A tip would be to press the <strong>Push to talk (PTT)</strong> button and tap the microphone of your head set lightly. If you don't hear the tapping then Mumble is probably getting the wrong microphone as input.</p>

<p>In the example below I clicked the Microphone icon in my taskbar and a application (<em>pavucontrol</em>) opened allowing me to set the correct microphone.</p>

<p><img alt="hpr room screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/22-pavucontrol-recording.png" ></p>

<p>While I was there I also checked to make sure that Mumble was playing audio to my headset.</p>

<p><img alt="hpr room screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/23-pavucontrol-playback.png" ></p>

<p>Satisfied that the audio is good, you can <em>click and drag</em> your icon to the <strong>HPR</strong> room.</p>

<p><img alt="hpr room screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/16-hpr-room.png" ></p>

<p>Some rooms require you to be registered to enter a room, to speak, to record, or to chat in the room.</p>

<p>To register first <em>Right Click</em> on your icon and a menu will open.</p>

<p>Press <strong>Register....</strong></p>

<p><img alt="register screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/17-register.png" ></p>

<p>Then press <strong>Yes</strong></p>

<p><img alt="register confirm screenshot" src="<!--% absolute_path(baseurl) %-->images/mumble-howto/18-register-confirm.png" ></p>

<p>That's it - you are now all set to use mumble.</p>
